Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.context
Class ContextHashMap.EntrySetIterator

    java.lang.Object
      ix.util.context.ContextHashMap.EntrySetIterator

All Implemented Interfaces:
  java.util.Iterator<java.util.Map.Entry<K,V>>

Enclosing class:
  ContextHashMap<K,V>

    protected class ContextHashMap.EntrySetIterator

extends java.lang.Object
implements java.util.Iterator<java.util.Map.Entry<K,V>>

The Iterator implementation for a ContextHashMap entrySet.

Field Summary
`(package private) ContextHashMap.Entry` | `chain`
`(package private) ContextHashMap.Entry` | `next`
`(package private) Context` | `setCreationContext`

Constructor Summary
`ContextHashMap.EntrySetIterator(ContextHashMap.Entry chain, Context setCreationContext)`

Method Summary
`boolean` | `hasNext()`
`java.util.Map.Entry<K,V>` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### setCreationContext

    Context setCreationContext

### chain

    ContextHashMap.Entry chain

### next

    ContextHashMap.Entry next

Constructor Detail

### ContextHashMap.EntrySetIterator

    ContextHashMap.EntrySetIterator(ContextHashMap.Entry chain,
                                    Context setCreationContext)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<java.util.Map.Entry<K,V>>`

### next

    public java.util.Map.Entry<K,V> next()

  Specified by:
    `next` in interface `java.util.Iterator<java.util.Map.Entry<K,V>>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<java.util.Map.Entry<K,V>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD